package com.zbf.system.domain;

import java.util.Date;
import java.util.List;

/**
 * 库存对象 t_mi_stock
 *
 * @author tony
 * @date 2024-06-14
 */
public class TMiStockUpdate {

    // 起始库位
    private String fromLoc;

    // 目标库位
    private String toLoc;

    // 原始托盘
    private String fromCtlNo;

    // 目标托盘
    private String toCtlNo;

    // 更新者
    private String updateBy;

    // 更新时间
    private Date updateTime;

    // 库存ID
    private String id;

    private String[] local;
    
    private List<TMiStock> tMiStockList;

    public String getFromLoc() {
        return fromLoc;
    }

    public void setFromLoc(String fromLoc) {
        this.fromLoc = fromLoc;
    }

    public String getToLoc() {
        return toLoc;
    }

    public void setToLoc(String toLoc) {
        this.toLoc = toLoc;
    }

    public String getFromCtlNo() {
        return fromCtlNo;
    }

    public void setFromCtlNo(String fromCtlNo) {
        this.fromCtlNo = fromCtlNo;
    }

    public String getToCtlNo() {
        return toCtlNo;
    }

    public void setToCtlNo(String toCtlNo) {
        this.toCtlNo = toCtlNo;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public List<TMiStock> gettMiStockList() {
        return tMiStockList;
    }

    public void settMiStockList(List<TMiStock> tMiStockList) {
        this.tMiStockList = tMiStockList;
    }

    public String[] getLocal() {
        return local;
    }

    public void setLocal(String[] local) {
        this.local = local;
    }
}
